<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
MutexConfig..::.Increment Property
MutexConfig Class See Also Send Feedback

Configure the number of additional mutexes to allocate.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public uint Increment { get; set; }

Visual Basic (Declaration)

    Public Property Increment As UInteger

Visual C++

    public:
    property unsigned int Increment {
    	unsigned int get ();
    	void set (unsigned int value);
    }

# Remarks

If both Increment and MaxMutexes are set, the value of Increment will be silently ignored.

If the database environment already exists when Open(String, DatabaseEnvironmentConfig) is called, the value of Increment will be ignored.

# See Also

MutexConfig Class
BerkeleyDB Namespace